package com.sw.mes.mcs.enent;

import com.sw.mes.mcs.dto.SquareBindingDto;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 方棒绑定信息下发接口事件
 * @Author: GaoXinJian
 * @Date: 2022-02-08 14:26
 */
@Getter
public class SquareBindingEvent extends ApplicationEvent {
   private SquareBindingDto squareBindingDto;
    public SquareBindingEvent(Object source, SquareBindingDto squareBindingDto) {
        super(source);
        if (squareBindingDto==null){
            throw new IllegalArgumentException("null squareBindingDto");
        }
        this.squareBindingDto=squareBindingDto;
    }
}
